MockingProgress
Date: 2015-09-18

org.mockito.internal.progress

## Interface MockingProgress

- All Known Implementing Classes:
    MockingProgressImpl, ThreadSafeMockingProgress

      public interface MockingProgress

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ArgumentMatcherStorage` | `getArgumentMatcherStorage()`
    `void` | `mockingStarted(java.lang.Object mock, java.lang.Class classToMock)`
    `IOngoingStubbing` | `pullOngoingStubbing()`
    `VerificationMode` | `pullVerificationMode()`
    `void` | `reportOngoingStubbing(IOngoingStubbing iOngoingStubbing)`
    `void` | `reset()`
    `void` | `resetOngoingStubbing()` Removes ongoing stubbing so that in case the framework is misused state validation errors are more accurate
    `void` | `setListener(MockingProgressListener listener)`
    `void` | `stubbingCompleted(Invocation invocation)`
    `void` | `stubbingStarted()`
    `void` | `validateState()`
    `void` | `verificationStarted(VerificationMode verificationMode)`

- - ### Method Detail

    - #### reportOngoingStubbing

          void reportOngoingStubbing(IOngoingStubbing iOngoingStubbing)

    - #### pullOngoingStubbing

          IOngoingStubbing pullOngoingStubbing()

    - #### verificationStarted

          void verificationStarted(VerificationMode verificationMode)

    - #### pullVerificationMode

          VerificationMode pullVerificationMode()

    - #### stubbingStarted

          void stubbingStarted()

    - #### stubbingCompleted

          void stubbingCompleted(Invocation invocation)

    - #### validateState

          void validateState()

    - #### reset

          void reset()

    - #### resetOngoingStubbing

          void resetOngoingStubbing()

      Removes ongoing stubbing so that in case the framework is misused state validation errors are more accurate

    - #### getArgumentMatcherStorage

          ArgumentMatcherStorage getArgumentMatcherStorage()

    - #### mockingStarted

          void mockingStarted(java.lang.Object mock,
                            java.lang.Class classToMock)

    - #### setListener

          void setListener(MockingProgressListener listener)